package epggrab;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

import java.io.*;

public class StreamHandler extends Thread
{
    public static boolean debug = false;

    boolean isDone = false;
    InputStream is = null;
    FileWriter writer = null;

    public StreamHandler(InputStream is)
    {
        this(is,null);
    }

    public StreamHandler(InputStream is, FileWriter writer)
    {
        this.is = is;
        this.writer = writer;
    }

    public void run()
    {
        try
        {
            InputStreamReader isr = new InputStreamReader(is);
            BufferedReader br = new BufferedReader(isr);
            String line=null;
            while ( (line = br.readLine()) != null)
            {
                if ( debug )
                {
                    System.out.println( line );
                }
                if (writer != null)
                {
                    writer.write(line+"\n");
                    writer.flush();
                }
            }
        }
        catch (IOException ioe)
        {
            ioe.printStackTrace();
        }
        isDone = true;
    }

    public boolean isDone()
    {
        return isDone;
    }
}
